package aspects;

import java.security.AccessControlException;
import java.io.File;

/**
 * @author Angel Nunez (angel.nunez@gmail.com)
 */
public aspect FileDeletionRestriction {

	pointcut resourceAccess(): call(* File.delete(..));
	
	boolean around() : resourceAccess() && cflow(execution(* untrusted.*.*(..))) {
		throw new AccessControlException("Cannot access this code");
	}
}
