package framework;

import java.io.File;
import java.security.AccessController;
import java.security.PrivilegedAction;
import java.util.Timer;
import java.util.TimerTask;

public class CleanTask extends TimerTask {

	private String path;
	public static Timer timer;

	public CleanTask(String path) {
		this.path = path;
	}

	public void run() {
		final File file = new File(path);

		boolean deleted = AccessController.doPrivileged(
				new PrivilegedAction<Boolean>() {
					public Boolean run() {
						return file.delete();
					}
				}, TmpCleaner.context);

		if (deleted) {
			System.out.println("Deletion of " + file + " successfull..");
		}
		else {
			System.out.println("Deletion of " + file + " is pending..");
			timer.schedule(new CleanTask(path), 5000);
		}
	}
}
